{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/mass_operation/assign_to_account_user') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/mass_operation/assign_to_account_user') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set lookingForPropertyRequestOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'lookingForPropertyRequestOverview') %}
        {% if lookingForPropertyRequestOverviewLastVisitedPage != null %}
            {% set lookingForPropertyRequestOverviewPagePath = path(lookingForPropertyRequestOverviewLastVisitedPage.getRouteName(), lookingForPropertyRequestOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set lookingForPropertyRequestOverviewPagePath = path('company_location_management_looking_for_property_request_overview')  %}
        {% endif %}
        <a href="{{ lookingForPropertyRequestOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Sachbearbeiter:in zuweisen <span class="text-secondary">({{ lookingForPropertyRequests|length }})</span></span>
        {{ form_widget(lookingForPropertyRequestMassOperationAssignToAccountUserForm.save, {'label': 'Sachbearbeiter:in zuordnen', 'id': lookingForPropertyRequestMassOperationAssignToAccountUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Hinweis
            </h1>
            <p>Allen unten gelisteten Ansiedlungsgesuchen wird der/die nachfolgend ausgewählte Sachbearbeiter:in zugeordnet. Bestehende Zuordnungen werden dabei überschrieben.</p>
            {{ form_start(lookingForPropertyRequestMassOperationAssignToAccountUserForm, {'attr': {'id': lookingForPropertyRequestMassOperationAssignToAccountUserForm.vars.id ~ '_form'}}) }}
            <div class="row">
                <div class="col-md-6">
                    {{ form_row(lookingForPropertyRequestMassOperationAssignToAccountUserForm.assignedToAccountUser) }}
                </div>
            </div>
            {{ form_row(lookingForPropertyRequestMassOperationAssignToAccountUserForm.selectedRowIds) }}
            {{ form_row(lookingForPropertyRequestMassOperationAssignToAccountUserForm._token) }}
            {{ form_end(lookingForPropertyRequestMassOperationAssignToAccountUserForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'company_location_management/component/looking_for_property_request/looking_for_property_request_list_component.html.twig' with {
                'idPrefix': 'looking_for_property_request_',
                'listItems': lookingForPropertyRequests,
                'showActionButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
